{% extends 'app_base.html.twig' %}

{% block title %}{{ 'public.health-check.head.title'|trans }} {{ appShortName }}{% endblock %}


{% block body %}
    {% set db_status_cssClass = 'table-danger' %}
    {% set db_status_i18n = 'public.health-check.status.failed'|trans %}
    {% set cfssl_status_cssClass = 'table-danger' %}
    {% set cfssl_status_i18n = 'public.health-check.status.failed'|trans %}
    {% if dbStatusCode == 'SUCCESSFUL' %}
        {% set db_status_cssClass = 'table-info' %}
        {% set db_status_i18n = 'public.health-check.status.successful'|trans %}
    {% endif %}
    {% if cfsslStatusCode == 'SUCCESSFUL' %}
        {% set cfssl_status_cssClass = 'table-info' %}
        {% set cfssl_status_i18n = 'public.health-check.status.successful'|trans %}
    {% endif %}

    <h1>{{ 'public.health-check.page.title'|trans }} {{ appShortName }}</h1>
    <hr class="col-3 col-md-2 mb-5">
    <div class="col-md-6">
        <table class="table table-hover">
            <thead>
            <tr>
                <th scope="col">{{ 'public.health-check.col.resources'|trans }}</th>
                <th scope="col">{{ 'public.health-check.col.status'|trans }}</th>
                <th scope="col">{{ 'public.health-check.col.status.code'|trans }}</th>
            </tr>
            </thead>
            <tbody class="table-group-divider">
            <tr>
                <td>{{ 'public.health-check.line.database'|trans }}</td>
                <td class="{{ db_status_cssClass }}">{{ db_status_i18n }}</td>
                <td id="webapp-database-status">DB_CONNECTION_{{ dbStatusCode }}</td>
            </tr>
            <tr>
                <td>{{ 'public.health-check.line.cfssl'|trans }}</td>
                <td class="{{ cfssl_status_cssClass }}">{{ cfssl_status_i18n }}</td>
                <td id="webapp-cfssl-status">CFSSL_CONNECTION_{{ cfsslStatusCode }}</td>
            </tr>
            </tbody>
        </table>
    </div>

{% endblock %}
